For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Calculator
OverviewAPI Endpoints
OverviewAPI Endpoints
  • Endpoints
      • GETGet asset tree
      • POSTCreate an asset
      • PATCHUpdate asset
      • GETList asset-rate bracket relations
      • POSTCreate/update asset-rate bracket relations
      • GETGet asset hierarchy structure
      • GETGet asset rate bracket ID mappings
      • GETGet asset tree
      • GETGet organisations by product
Calculator
LogoLogo
EndpointsAssets

Get asset hierarchy structure

GET
https://api.finput.com.au/api/v1/assets/structure
GET
/api/v1/assets/structure
$curl https://api.finput.com.au/api/v1/assets/structure \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "id": 1,
4 "name": "name",
5 "is_asset": true
6 }
7]
Returns the base asset hierarchy tree without rate bracket assignment data. Lightweight endpoint for initial page load.
Was this page helpful?
Previous

Get asset rate bracket ID mappings

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Asset structure tree
idinteger
namestring
is_assetbooleanDefaults to false
childrenlist of objects